# ApplicationFramework
TKCDF
CDM

# CDM_StdMapNodeOfMapOfDocument Class Reference

`#include <CDM_StdMapNodeOfMapOfDocument.hxx>`

## Public Member Functions

| CDM_StdMapNodeOfMapOfDocument (const Handle(CDM_Document)&K, const TCollection_MapNodePtr &n)
Handle_CDM_Document & | Key () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_CDM_Document | myKey

## Constructor & Destructor Documentation

CDM_StdMapNodeOfMapOfDocument::CDM_StdMapNodeOfMapOfDocument | ( | const Handle(CDM_Document)& | K,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const CDM_StdMapNodeOfMapOfDocument::Handle | ( | Standard_Type |  | ) | const

Handle_CDM_Document& CDM_StdMapNodeOfMapOfDocument::Key | ( |  | ) | const

## Field Documentation

Handle_CDM_Document CDM_StdMapNodeOfMapOfDocument::myKey `[private]`

The documentation for this class was generated from the following file:

- CDM_StdMapNodeOfMapOfDocument.hxx